umbrello: Settings::UIState Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::UIState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| UIState ()
void | load ()
void | save ()
void | saveToXMI (QXmlStreamWriter &writer)
bool | loadFromXMI (QDomElement &element)

## Public Attributes
bool | useFillColor
QColor | fillColor
QColor | lineColor
uint | lineWidth
QColor | textColor
QFont | font
QColor | backgroundColor
QColor | gridDotColor

## Constructor & Destructor Documentation

## ◆ UIState()

Settings::UIState::UIState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::UIState::load | ( |  | ) |

## ◆ loadFromXMI()

bool Settings::UIState::loadFromXMI | ( | QDomElement & | element | ) |

Load instance from a QDomElement.

Parameters

  element | A QDomElement representing xml element data.

Returns
  true on success
  false on error

## ◆ save()

void Settings::UIState::save | ( |  | ) |

## ◆ saveToXMI()

void Settings::UIState::saveToXMI | ( | QXmlStreamWriter & | writer | ) |

Save instance to XMI.

Parameters

  writer | The QXmlStreamWriter to save to.

## Member Data Documentation

## ◆ backgroundColor

QColor Settings::UIState::backgroundColor

## ◆ fillColor

QColor Settings::UIState::fillColor

## ◆ font

QFont Settings::UIState::font

## ◆ gridDotColor

QColor Settings::UIState::gridDotColor

## ◆ lineColor

QColor Settings::UIState::lineColor

## ◆ lineWidth

uint Settings::UIState::lineWidth

## ◆ textColor

QColor Settings::UIState::textColor

## ◆ useFillColor

bool Settings::UIState::useFillColor

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp